var currentTab = 'clym-widget';
$('.clym-menu-title').toggleClass("inactive");
$('.clym-menu-icon').toggleClass("active");
$('.clym-social').toggleClass("inactive");
$("#menu-toggle").click(function (e) {
    e.preventDefault();
    $('#sidebar-wrapper').toggleClass("active");
    $("#wrapper").toggleClass("active");
    $("#page-content-wrapper").toggleClass("active");
    $('.clym-menu-title').toggleClass("inactive");
    $('.clym-menu-icon').toggleClass("active");
    $('.clym-social').toggleClass("inactive");
});
$(".clym-instruction-title").click(function (e) {
    var instructionData = this.id.replace('instruction-', ''),
        imgSrc = $("#read-more-" + instructionData).attr('src');
    if (imgSrc.indexOf('down') !== -1) {
        $("#read-more-" + instructionData).attr({src: imgSrc.replace('down', 'up')});
    } else {
        $("#read-more-" + instructionData).attr({src: imgSrc.replace('up', 'down')});
    }
    e.preventDefault();
    $("#" + instructionData + "-data").toggleClass("active");
});

$("#sidebar li").click(function () {
    var newtab = this.id.replace('-menu', '');
    if (newtab === currentTab) return;
    document.getElementById(newtab).style.display = 'block';
    document.getElementById(currentTab).style.display = 'none';
    currentTab = newtab;
    var imgSrc = $('.sidebar-nav li.active .clym-menu-icon img').attr('src');
    $('.sidebar-nav li.active .clym-menu-icon img').attr({src: imgSrc.replace('white', 'dark')});
    $('.sidebar-nav li.active').removeClass('active');
    $(this).addClass('active');
    imgSrc = $('.sidebar-nav li.active .clym-menu-icon img').attr('src');
    $('.sidebar-nav li.active .clym-menu-icon img').attr({src: imgSrc.replace('dark', 'white')});
});

function nextTab(tab) {
    if (tab === 2) {
        document.getElementById('intro-account').style.display = 'none';
        document.getElementById('intro-meta-tag').style.display = 'block';
        document.getElementById('intro-progressbar').style.width = '66%';
    }
    if (tab === 3) {
        document.getElementById('intro-meta-tag').style.display = 'none';
        document.getElementById('intro-widget').style.display = 'block';
        document.getElementById('intro-progressbar').style.width = '100%';
        updateOption('q-meta-tag');
    }
    if (tab === 4) {
        updateOption('q-widget');
    }
}

function prevTab(tab) {
    if (tab === 2) {
        document.getElementById('intro-meta-tag').style.display = 'block';
        document.getElementById('intro-widget').style.display = 'none';
        document.getElementById('intro-progressbar').style.width = '66%';
    }
}

$('#clym-app img').each(function () {
    var $img = $(this);
    var imgsrc = $img.attr('clym-src');
    var imgsrc2 = clym.pluginsUrlImg + imgsrc;
    $img.attr('src', imgsrc2);
});

$('#wpbody-content').children().each(function () {
    if (this.tagName == 'DIV') {
        if (['clym-load', 'clym'].indexOf(this.className) === -1)
            this.remove();
    }
});

function doResizeData(resize = false) {
    var menuAdmin = $('#adminmenuback').width();
    if (!resize && $('#wpadminbar').height() === 46) menuAdmin = 0;
    if (document.getElementById('clym-language')) {
        if (resize) {
            document.getElementById('clym-language').style.display = 'none';
        } else {
            document.getElementById('clym-language').style.display = 'block';
        }
        document.getElementById('clym-navbar').style.marginLeft = menuAdmin + "px";
        document.getElementById('sidebar-wrapper').style.marginLeft = -170 + menuAdmin + "px";
    }
}

var resize = false;
$("#wp-admin-bar-menu-toggle").click(function (e) {
    resize = !resize;
    doResizeData(resize);
});

$("#collapse-menu").click(function () {
    doResizeData();
});

$(window).on('resize', function () {
    doResizeData();
});


window.onload = function () {
    doResizeData();
    if (document.getElementById('clym-language')) {
        $('#' + currentTab + '-menu').toggleClass("active");
        document.getElementById(currentTab).style.display = 'block';
        document.getElementById('clym-settings-meta-tag').value = CLYM['meta_tag'];
        document.getElementById('clym-settings-widget').value = CLYM['widget']['script'];
        CLYM['widget']['location'] === 'head' ? document.getElementById('widget_head').checked = true : document.getElementById('widget_footer').checked = true;
    }
    document.getElementById('clym-load').style.display = 'none';
    document.getElementById('clym-app').style.display = 'block';
};

function showAlert() {
    $("#clymAlert").addClass("in");
}

function hideAlert() {
    $("#clymAlert").removeClass("in");
}

function updateOption(data) {
    var value,
        info;
    if (!data) return;
    switch (data) {
        case 'q-meta-tag': {
            value = document.getElementById("clym-quick-setup-meta-tag").value;
            info = {
                key: 'meta_tag',
                value: value
            };
            break;
        }
        case 's-meta-tag': {
            value = document.getElementById("clym-settings-meta-tag").value;
            info = {
                key: 'meta_tag',
                value: value
            };
            break;
        }
        case 'q-widget': {
            value = document.getElementById("clym-quick-setup-widget").value;
            info = {
                key: 'widget',
                value: {
                    location: 'head',
                    script: value
                }
            };
            break;
        }
        case 's-widget': {
            value = document.getElementById("clym-settings-widget").value;
            var locationWidget = 'head';
            if (document.getElementById('widget_footer').checked) {
                locationWidget = 'footer';
            }
            info = {
                key: 'widget',
                value: {
                    location: locationWidget,
                    script: value
                }
            };
            break;
        }
        default:
            value = null;
            break;
    }
    if (info) {
        jQuery.ajax({
            url: 'admin-ajax.php',
            type: 'post',
            data: {
                action: 'clym_update_option',
                data: info
            },
            success: function (response) {
                var clymAlert = document.getElementById('clymAlert');

                if (response === 'success') {
                    $("#clymAlert").removeClass("clym-alert-error");
                    clymAlert.innerHTML = 'Settings saved';
                    showAlert();
                } else {
                    $("#clymAlert").addClass("clym-alert-error");
                    clymAlert.innerHTML = 'Settings error';
                    showAlert();
                }
                window.setTimeout(function () {
                    hideAlert();
                }, 2000);

                if (data === 'q-widget') {
                    location.reload();
                }
            }
        })
    }
}

